Bug 117147 - DHCP creates malformed packets which DOS netgear ADSL router
DHCP creates malformed packets which DOS netgear ADSL router
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-02-29 07:04 EST by Tim Hawkins
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 22:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Hawkins 2004-02-29 07:04:17 EST
Description of problem:
I have a DSL line terminated with a Netgear DG814 ADSL router/modem,
which is then connected to my internal network .

Im testing FC2 test1 on a Sharp PC-FS2518 laptop, that has a Socket
Compact Flash Network Card in it.

Everytime I boot the laptop, the Netgear router siezes up and stops
routing, requiring a hard reset, once reset it is fine, and does not
cause any problems, something during the FC2 boot is sending a network
packet that kills the Router, FC1 on the same hardware does not do the
same thing.

I have tried disabling tcp_ecn on boot with no effect. 

I have switched network cards to a wireless card to eliminate driver

How reproducible:
Select DHCP as means to set network parameters. 

Inspect system logs afterwards.

Actual results:
I have narrowed it down to DHCP negotiation which is strange as the
netgear router is not configured to operate as a DHCP server.

Its not the network card driver as I have now switched to a wireless
lan card and the problem is the same .

I get the following in the system log just as the router dies.

Feb 28 17:27:45 timslaptop kernel: Uniform CD-ROM driver Revision: 3.20
Feb 28 17:27:45 timslaptop udev[3296]: creating device node '/udev/hdc'
Feb 28 17:28:40 timslaptop kernel: ip_tables: (C) 2000-2002 Netfilter
core team
Feb 28 17:28:40 timslaptop kernel: eth1: error -110 reading info
frame. Frame dropped.
Feb 28 17:28:40 timslaptop kernel: eth1: Error -110 setting multicast
Feb 28 17:28:40 timslaptop last message repeated 2 times
Feb 28 17:28:40 timslaptop dhclient: sit0: unknown hardware address
type 776
Feb 28 17:28:40 timslaptop kernel: eth1: New link status: Connected (0001)
Feb 28 17:28:41 timslaptop dhclient: sit0: unknown hardware address
type 776
Feb 28 17:28:43 timslaptop dhclient: DHCPREQUEST on eth1 to port 67
Feb 28 17:28:43 timslaptop dhclient: DHCPACK from
Feb 28 17:28:43 timslaptop dhclient: bound to -- renewal
in 100950 seconds.
Feb 28 17:33:51 timslaptop kernel: spurious 8259A interrupt: IRQ7.
Feb 28 17:34:33 timslaptop nmbd[2422]: [2004/02/28 17:34:33, 0]
nmbd/nmbd_become_lmb.c is an NT box operating as a DHCP server, the reason for
that is complicated, to do with limitations
   in the netgear DHCP server, I need to be able to set the DNS
servers for the DHCP reponse, so that I can have local copies of my
   domains on an internal DNS with internal addresses, rather than the
external addreses on the external ISP DNS. netgear assumes they are 
the uptream ISP servers it has DHCP'd from the adsl provider. the DHCP
server is disable on the netgear router.

If I set the ip's, DNS's staticaly, then the system is stable.
Comment 1 Daniel Walsh 2004-04-05 22:55:10 EDT
This is more likely a bug with netgear.
Comment 2 John Flanagan 2004-12-21 14:42:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.